Pythia version mismatch

Asked by Beojan on 2018-07-05

I have Pythia installed in madgraph, but while the shower jobs appear to run, they actually don't:

PYTHIA Abort from Pythia::Pythia: unmatched version numbers : in code 8.235 but in XML 8.230

Question information

Language:
English Edit question
Status:
Solved
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Solved by:
Beojan
Solved:
2018-07-23
Last query:
2018-07-23
Last reply:
2018-07-12

Probably better if you contact Pythia8 author about it.
Especially since I'm not working this week.

Cheers,

Olivier

> On 5 Jul 2018, at 12:52, Beojan <email address hidden> wrote:
>
> New question #670673 on MadGraph5_aMC@NLO:
> https://answers.launchpad.net/mg5amcnlo/+question/670673
>
> I have Pythia installed in madgraph, but while the shower jobs appear to run, they actually don't:
>
> PYTHIA Abort from Pythia::Pythia: unmatched version numbers : in code 8.235 but in XML 8.230
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Beojan (beojan2) said : #2

I think this is probably specific to how MadGraph installs / calls Pythia.

I'm not working tomorrow or most of next week either, so a slow response is fine.

Hi,

I do not reproduce your error.
I have tried both on mac and on SLC6.

Now my guess from the warning is that you have a problem with your LD_LIBRARY_PATH
or something like that and that the library does not match something else. But if this is true this will be a problem of your specific machine. Pythia8 author might be able to give you a more accurate description of the issue and maybe idea on how to solve this.

In principle, when you install pythia8, we suggest that you add some line in your .bashrc.
Did you do this?

Cheers,

Olivier

> On 5 Jul 2018, at 15:22, Beojan <email address hidden> wrote:
>
> Question #670673 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/670673
>
> Status: Answered => Open
>
> Beojan is still having a problem:
> I think this is probably specific to how MadGraph installs / calls
> Pythia.
>
> I'm not working tomorrow or most of next week either, so a slow response
> is fine.
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Beojan (beojan2) said : #4

I don't remember any such line for .bashrc, how should it read?

Thanks.

Beojan (beojan2) said : #5

Solved, for future reference:

set PYTHIA8DATA to MG5_dir/HEPTools/pythia8/share/Pythia8/xmldoc